# -*- coding: utf-8 -*-
from setuphelpers import *
import json

uninstallkey = []

package_name='draw.io'

def install():
    package_version = control['version'].split('-')[0]

    isapt = True
    try:
        run('apt-get --version')
    except:
        isapt = False

    if isapt:
        install_deb('draw.io-amd64-%s.deb' % package_version)
    else:
        install_yum('draw.io-x86_64-%s.rpm' % package_version)


def uninstall():
    isapt = True
    try:
        run('apt-get --version')
    except:
        isapt = False

    if isapt:
        uninstall_apt(package_name)
    else:
        uninstall_yum(package_name)


def update_package():
    htmlsource = json.loads(wgets('https://api.github.com/repos/jgraph/drawio-desktop/releases/latest'))['assets']

    binaryfile,urlfile  = [(str(p['name']),str(p['browser_download_url'])) for p in htmlsource if '.deb' in p['name']][0]
    if not isfile(binaryfile):
        wget(urlfile,binaryfile)
    for f in glob.glob('*.deb'):
        if f != binaryfile: 
            remove_file(f)

    lastversion = binaryfile.split('-')[-1].strip('.deb')

    binaryfile,urlfile  = [(str(p['name']),str(p['browser_download_url'])) for p in htmlsource if '.rpm' in p['name']][0]
    if not isfile(binaryfile):
        wget(urlfile,binaryfile)
    for f in glob.glob('*.rpm'):
        if f != binaryfile:
            remove_file(f)

    print('Last Version %s' % lastversion)
    control.version = lastversion + '-0'
    control.save_control_to_wapt()

